SET NAMES utf8mb4;
SET
FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for tb_admin
-- ----------------------------
DROP TABLE IF EXISTS `tb_admin`;
CREATE TABLE `tb_admin`
(
    `id`          int(11) NOT NULL AUTO_INCREMENT,
    `username`    varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci  NOT NULL DEFAULT '' COMMENT '用户账号',
    `nickname`    varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci  NOT NULL DEFAULT '' COMMENT '用户昵称',
    `password`    varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '密码',
    `role_id`     int(11) NOT NULL COMMENT '所属角色id',
    `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP (0),
    `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP (0),
    `create_time` bigint(20) NULL DEFAULT NULL,
    `update_time` bigint(20) NULL DEFAULT NULL,
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '后台管理用户' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_auth_enterprise
-- ----------------------------
DROP TABLE IF EXISTS `tb_auth_enterprise`;
CREATE TABLE `tb_auth_enterprise`
(
    `id`                    int(11) NOT NULL AUTO_INCREMENT,
    `user_id`               int(11) NOT NULL COMMENT '用户id',
    `enterprise_name`       varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '企业名称',
    `uscc`                  varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '统一社会信用代码',
    `legal_person_name`     varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci  NOT NULL DEFAULT '' COMMENT '法人姓名',
    `legal_person_card_num` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '法人证件号码',
    `mobile`                varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '法人代表手机号码',
    `public_account`        varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '对公账户',
    `bank_name`             varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '开户银行',
    `bank_branch`           varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '开户支行',
    `create_date`           datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `update_date`           datetime(0) NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP (0),
    `create_time`           bigint(20) NULL DEFAULT NULL,
    `update_time`           bigint(20) NULL DEFAULT NULL,
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `idx_userid`(`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '企业认证信息表' ROW_FORMAT = Dynamic;
-- ----------------------------
-- Table structure for tb_auth_person
-- ----------------------------
DROP TABLE IF EXISTS `tb_auth_person`;
CREATE TABLE `tb_auth_person`
(
    `id`                 int(11) NOT NULL AUTO_INCREMENT,
    `user_id`            int(11) NULL DEFAULT NULL COMMENT '用户id',
    `name`               varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci   NOT NULL DEFAULT '' COMMENT '姓名',
    `id_card`            varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci  NOT NULL DEFAULT '' COMMENT '身份证号码',
    `card_picture_front` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '身份证正面照片(人脸面)',
    `card_picture_back`  varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '身份证反面照片(国徽面)',
    `create_date`        datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `update_date`        datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP (0),
    `create_time`        bigint(20) NULL DEFAULT NULL,
    `update_time`        bigint(20) NULL DEFAULT NULL,
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `idx_userid`(`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '个人认证信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_category
-- ----------------------------
DROP TABLE IF EXISTS `tb_category`;
CREATE TABLE `tb_category`
(
    `id`            int(11) NOT NULL AUTO_INCREMENT,
    `category_name` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci  NOT NULL DEFAULT '',
    `english_name`  varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
    `create_date`   datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `update_date`   datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP (0),
    `update_time`   bigint(20) NULL DEFAULT NULL,
    `create_time`   bigint(20) NULL DEFAULT NULL,
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '首页类目表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_category
-- ----------------------------
INSERT INTO `tb_category`
VALUES (1, '剧本', 'SCRIPT', '2021-07-01 06:28:16', '2021-07-01 06:28:16', NULL, NULL);
INSERT INTO `tb_category`
VALUES (2, '视频', 'VIDEO', '2021-07-01 06:29:03', '2021-07-01 06:29:03', NULL, NULL);
INSERT INTO `tb_category`
VALUES (3, '电影', 'FILE', '2021-07-01 06:29:20', '2021-07-01 06:29:20', NULL, NULL);
INSERT INTO `tb_category`
VALUES (4, '音频', 'AUDIO', '2021-07-01 06:29:42', '2021-07-01 06:29:42', NULL, NULL);
INSERT INTO `tb_category`
VALUES (5, '图片', 'PICTURE', '2021-07-01 06:29:58', '2021-07-01 06:29:58', NULL, NULL);
INSERT INTO `tb_category`
VALUES (6, '衍生品', 'DERIVATIVE', '2021-07-01 06:30:39', '2021-07-01 06:30:39', NULL, NULL);
INSERT INTO `tb_category`
VALUES (7, '其他', 'OTHER', '2021-07-01 06:30:50', '2021-07-01 06:30:50', NULL, NULL);

-- ----------------------------
-- Table structure for tb_collection
-- ----------------------------
DROP TABLE IF EXISTS `tb_collection`;
CREATE TABLE `tb_collection`
(
    `id`          int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
    `user_id`     int(11) NOT NULL COMMENT '用户主键',
    `nft_id`      int(11) NOT NULL COMMENT 'nft主键',
    `create_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `update_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `idx_userid_nftid` (`user_id`,`nft_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for tb_label
-- ----------------------------
DROP TABLE IF EXISTS `tb_label`;
CREATE TABLE `tb_label`
(
    `id`   int(11) NOT NULL AUTO_INCREMENT,
    `name` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '名称',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 31 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_label
-- ----------------------------
INSERT INTO `tb_label`
VALUES (1, '古装');
INSERT INTO `tb_label`
VALUES (2, '偶像');
INSERT INTO `tb_label`
VALUES (3, '青春');
INSERT INTO `tb_label`
VALUES (4, '军旅');
INSERT INTO `tb_label`
VALUES (5, '罪案');
INSERT INTO `tb_label`
VALUES (6, '历史');
INSERT INTO `tb_label`
VALUES (7, '年代');
INSERT INTO `tb_label`
VALUES (8, '剧情');
INSERT INTO `tb_label`
VALUES (9, '魔幻');
INSERT INTO `tb_label`
VALUES (10, '爱情');
INSERT INTO `tb_label`
VALUES (11, '言情');
INSERT INTO `tb_label`
VALUES (12, '家庭');
INSERT INTO `tb_label`
VALUES (13, '喜剧');
INSERT INTO `tb_label`
VALUES (14, '谍战');
INSERT INTO `tb_label`
VALUES (15, '穿越');
INSERT INTO `tb_label`
VALUES (16, '神话');
INSERT INTO `tb_label`
VALUES (17, '农村');
INSERT INTO `tb_label`
VALUES (18, '奇幻');
INSERT INTO `tb_label`
VALUES (19, '动作');
INSERT INTO `tb_label`
VALUES (20, '儿童');
INSERT INTO `tb_label`
VALUES (21, '武侠');
INSERT INTO `tb_label`
VALUES (22, '都市');
INSERT INTO `tb_label`
VALUES (23, '战争');
INSERT INTO `tb_label`
VALUES (24, '悬疑');
INSERT INTO `tb_label`
VALUES (25, '宫廷');
INSERT INTO `tb_label`
VALUES (26, '科幻');
INSERT INTO `tb_label`
VALUES (27, '商战');
INSERT INTO `tb_label`
VALUES (28, '玄幻');
INSERT INTO `tb_label`
VALUES (29, '惊悚');
INSERT INTO `tb_label`
VALUES (30, '其他');

-- ----------------------------
-- Table structure for tb_nft
-- ----------------------------
DROP TABLE IF EXISTS `tb_nft`;
CREATE TABLE `tb_nft`
(
    `id`           int(11) NOT NULL AUTO_INCREMENT,
    `category_id`  int(11) NOT NULL COMMENT '类目id',
    `user_id`      int(11) NOT NULL COMMENT '用户id',
    `name`         varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '名称',
    `author`       varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci  NOT NULL COMMENT '作者',
    `theme`        varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '题材',
    `synopsis`     text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '简介',
    `file_name`    varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件名',
    `file_url`     varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件地址--用户选择不存档的情况下为空',
    `file_hash`    varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '文件上链hash',
    `is_archives`  tinyint(1) NOT NULL COMMENT '平台存档  0-不存档  1-加密存档',
    `is_grant`     tinyint(1) NULL DEFAULT NULL COMMENT '授权阅读  0-不需要授权  1-需要授权',
    `nft_id`       varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  NOT NULL DEFAULT '' COMMENT 'nft编号',
    `nft_hash`     varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT 'nft哈希',
    `token_id`     bigint(20) NULL DEFAULT NULL COMMENT 'nft token',
    `publish_time` datetime(0) NULL DEFAULT NULL COMMENT 'nft发行时间',
    `is_top`       tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否置顶  0-否  1-是',
    `status`       tinyint(1) NOT NULL DEFAULT 0 COMMENT '0: 下架   1:上架',
    `create_date`  datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `update_date`  datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP (0),
    `create_time`  bigint(20) NULL DEFAULT NULL,
    `update_time`  bigint(20) NULL DEFAULT NULL,
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_user
-- ----------------------------
DROP TABLE IF EXISTS `tb_user`;
CREATE TABLE `tb_user`
(
    `id`          int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
    `telephone`   varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手机号',
    `email`       varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '邮箱',
    `password`    varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '密码',
    `wallet`      varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '钱包地址',
    `nickname`    varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci  NOT NULL DEFAULT '' COMMENT '昵称',
    `signature`   varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '个性签名',
    `avatar`      varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '头像',
    `auth_type`   tinyint(1) NULL DEFAULT NULL COMMENT '认证类型  0-个人认证  1-企业认证',
    `auth_status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '实名认证状态  0-未认证  1-认证成功  2-认证失败 3-认证中',
    `is_publish`  tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否发行过nft作品  0-否  1-是',
    `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP (0),
    `create_time` bigint(20) NULL DEFAULT NULL,
    `update_time` bigint(20) NULL DEFAULT NULL,
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `idx_telephone`(`telephone`) USING BTREE,
    UNIQUE INDEX `idx_email`(`email`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 22 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '门户用户表' ROW_FORMAT = Dynamic;

SET
FOREIGN_KEY_CHECKS = 1;
